Name:		bookworm
Version:	1.1.2
Release:	%mkrel 2
Summary:	A simple E-book reader
License:	GPLv3+
Group:		Office/Utilities
URL:		https://babluboy.github.io/bookworm
Source:		https://github.com/babluboy/bookworm/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		bookworm-1.1.2-port-to-python3.patch
BuildRequires:	meson
BuildRequires:	gcc-c++
BuildRequires:	imagemagick
BuildRequires:	vala
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(granite)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(sqlite3) >= 3.5.9
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= 2.16.0
# Check list of dependencies
BuildRequires:	html2text
BuildRequires:	poppler
BuildRequires:	python3

Requires:	contractor
Requires:	html2text
Requires:	poppler
Recommends:	unrar
Recommends:	unzip

%description
An eBook reader for Elementary OS.

It uses poppler for decoding and read formats like EPUB, PDF, mobi, cbr, etc.

%prep
%autosetup -p1

chmod -x AUTHORS

%build
%meson

%meson_build

%install
%meson_install

# remove executable flags
find %{buildroot} -name \*.txt -exec chmod 0644 {} +

%find_lang com.github.babluboy.bookworm && cat com.github.babluboy.bookworm.lang >> %{name}.lang

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%{_bindir}/com.github.babluboy.%{name}
%{_datadir}/applications/com.github.babluboy.%{name}.desktop
%{_datadir}/glib-2.0/schemas/com.github.babluboy.%{name}.gschema.xml
%{_iconsdir}/hicolor/*/apps/*%{name}*.??g
%{_metainfodir}/com.github.babluboy.%{name}.appdata.xml
%{_datadir}/com.github.babluboy.%{name}/


%changelog
* Mon Feb 01 2021 daviddavid <daviddavid> 1.1.2-2.mga8
+ Revision: 1674358
- port to python3

* Thu Feb 20 2020 daviddavid <daviddavid> 1.1.2-1.mga8
+ Revision: 1545643
- new version: 1.1.2
- switch to meson build system

* Thu Feb 20 2020 umeabot <umeabot> 1.1.1-2.mga8
+ Revision: 1545599
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Feb 02 2019 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1362383
- initial package bookworm

